////////////////////////////////////////////////////////////////////////
// \file    SRGAr.h
// \brief   ND-GAr reconstruction output.
// \author  J. Wolcott <jwolcott@fnal.gov>
// \date    Jan. 2022
////////////////////////////////////////////////////////////////////////
#ifndef DUNEANAOBJ_SRGAR_H
#define DUNEANAOBJ_SRGAR_H

#include "duneanaobj/StandardRecord/SRGArTrack.h"
#include "duneanaobj/StandardRecord/SRGArECAL.h"

namespace caf
{
  /// ND-GAr reconstruction output
  class SRGAr
  {
    public:
      std::vector<SRGArTrack> tracks;
      std::size_t             ntracks  = 0;

      std::vector<SRGArECAL> clusters;
      std::size_t            nclusters = 0;

      // legacy parametric reco fields

      int nFSP;
      std::vector<int> pdg;
      std::vector<float> ptrue;
      std::vector<float> trkLen;
      std::vector<float> trkLenPerp;
      std::vector<float> partEvReco;
      int gastpc_pi_pl_mult;
      int gastpc_pi_min_mult;
  };

}
#endif //DUNEANAOBJ_SRGAR_H
